Subject: Re: [PATCH net v6 0/2] Enhance network interface feature testing

From: Jakub Kicinski <[email-masked]>
Date: Thu, 15 Aug 2024 08:50:12 -0700

On Thu, 15 Aug 2024 16:34:42 +0530 Abhinav Jain wrote:
> > > One more:
> > >
> > > tools/testing/selftests/net/netdevice.sh: echo "SKIP: $netdev: set IP address"
> > >
> > > I think the SKIP -> XFAIL conversion should be a separate patch (for
> > > total of 3 patches in the series).  
> >
> > P.S. and please change the subject to [PATCH net-next], it's a net-next
> > change, not a net fix.  
> 
> I have sent v7 now with net-next instead of net:
> https://lore.kernel.org/all/[email-masked]
> 
> For set IP address part, I have added logic to XFAIL if veth pair was created 
> and to SKIP if that's not the case in third patch of the series as directed above.
> 
> Right now, there is no logic to set IP address in the script for normal interfaces
> either and it is a TODO as well. I will focus on it next after this one is applied.

Minor note, please keep your guidance on frequency of reposting in mind:
https://www.kernel.org/doc/html/next/process/maintainer-netdev.html
-- 
pv-bot: 24h